# Uses of Class
org.apache.qpid.proton.amqp.UnsignedShort

Packages that use UnsignedShort
Package
Description
org.apache.qpid.proton.amqp
org.apache.qpid.proton.amqp.transport
org.apache.qpid.proton.codec
org.apache.qpid.proton.codec.impl

## Uses of UnsignedShort in org.apache.qpid.proton.amqp

Fields in org.apache.qpid.proton.amqp declared as UnsignedShort
Modifier and Type
Field
Description
`static final UnsignedShort`
UnsignedShort.`MAX_VALUE`
Methods in org.apache.qpid.proton.amqp that return UnsignedShort
Modifier and Type
Method
Description
`static UnsignedShort`
UnsignedShort.`valueOf(short underlying)`
`static UnsignedShort`
UnsignedShort.`valueOf(String value)`
Methods in org.apache.qpid.proton.amqp with parameters of type UnsignedShort
Modifier and Type
Method
Description
`int`
UnsignedShort.`compareTo(UnsignedShort o)`

## Uses of UnsignedShort in org.apache.qpid.proton.amqp.transport

Methods in org.apache.qpid.proton.amqp.transport that return UnsignedShort
Modifier and Type
Method
Description
`UnsignedShort`
Open.`getChannelMax()`
`UnsignedShort`
Begin.`getRemoteChannel()`
Methods in org.apache.qpid.proton.amqp.transport with parameters of type UnsignedShort
Modifier and Type
Method
Description
`void`
Open.`setChannelMax(UnsignedShort channelMax)`
`void`
Begin.`setRemoteChannel(UnsignedShort remoteChannel)`

## Uses of UnsignedShort in org.apache.qpid.proton.codec

Methods in org.apache.qpid.proton.codec that return UnsignedShort
Modifier and Type
Method
Description
`UnsignedShort`
Data.`getUnsignedShort()`
`UnsignedShort`
Decoder.`readUnsignedShort()`
`UnsignedShort`
Decoder.`readUnsignedShort(UnsignedShort defaultVal)`
`UnsignedShort`
DecoderImpl.`readUnsignedShort()`
`UnsignedShort`
DecoderImpl.`readUnsignedShort(UnsignedShort defaultVal)`
Methods in org.apache.qpid.proton.codec that return types with arguments of type UnsignedShort
Modifier and Type
Method
Description
`Class<UnsignedShort>`
UnsignedShortType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec with parameters of type UnsignedShort
Modifier and Type
Method
Description
`void`
UnsignedShortType.`fastWrite(EncoderImpl encoder, UnsignedShort value)`
`org.apache.qpid.proton.codec.UnsignedShortType.UnsignedShortEncoding`
UnsignedShortType.`getEncoding(UnsignedShort val)`
`void`
Data.`putUnsignedShort(UnsignedShort us)`
`UnsignedShort`
Decoder.`readUnsignedShort(UnsignedShort defaultVal)`
`UnsignedShort`
DecoderImpl.`readUnsignedShort(UnsignedShort defaultVal)`
`void`
Encoder.`writeUnsignedShort(UnsignedShort ushort)`
`void`
EncoderImpl.`writeUnsignedShort(UnsignedShort ushort)`

## Uses of UnsignedShort in org.apache.qpid.proton.codec.impl

Methods in org.apache.qpid.proton.codec.impl that return UnsignedShort
Modifier and Type
Method
Description
`UnsignedShort`
DataImpl.`getUnsignedShort()`
Methods in org.apache.qpid.proton.codec.impl with parameters of type UnsignedShort
Modifier and Type
Method
Description
`void`
DataImpl.`putUnsignedShort(UnsignedShort us)`